EDIT - task #4150

compile edit map service documentation of new features in version v1.4_dev and v1.5_dev
03/19/2014 04:56 PM - Andreas Kohlbecker

Status: New Start date:
Priority: New Due date:
Assignee: Franck Theeten % Done: 0%
Category: geotools - map service Estimated time: 0:00 hour
Target version: Geo RESTServices - Next Major
Release
Severity: normal
Description

compile documentation of new features in version v1.4_dev and v1.5_dev

the below excepts from a discussion related to #2707 ([E+M][Geo] Find shapefiles for non-tdwg E+M areas) is actually the most
up-to-date documentation of v1.4_dev and v1.5_dev with the projection change

Some news from the EDIT webservices...

1)

I've improved our Jenkins/ PHPUnit tests for the EDIT web service (the PHPUniy can now directly test the output of an HTTP GET
request, while it was not the case before) and also worked today on the REST services.

2)

| managed (on a test version called v1.4_dev) to debug the problem | had 2 weeks ago when the possibility to choose 2 different
indexer columns was enabled.

It is now possible to have different indexer columns (eg below: “emarea” for Germany and “parent” for France)

http://edit.africamuseum.be/edit_wp5/v1.4 dev/rest gen.php?ms=500,500&as=a:76FFFF|b:76FF22&ad=em_tiny_jan2003:emarea:a:
Gelem_tiny jan2003:parent:b:Ga&bbox=-31.8,30.129996.51,71.529996

This script doesn’t break the other maps like it was the case before

http://edit.africamuseum.be/edit_wp5/v1.4_dev/rest gen.php?l=earth&ad=tdwg3:a:PHI.VAN.BOR|b:BIS,SUM&as=a:8dd3c7~2|b:e91f
16,5be166~2_4&ms=500&Iabel=0&recalculate=false

http://edit.africamuseum.be/edit_wp5/v1.4_dev/rest gen.php?ms=500,500&I=background_gis:y,tdwg3:x&as=a:000000|y:FFFFFF|z:D
0D0D0,DODODO|x:,000000]|x_nf:FFO000000.000000|w:77FFFF,FFFF77&ad=vmap0_afsa_elev_contour lIs:f code:z:%25|vmap0_afsa
_hydro_inland_water _prm_only_a:nam:w:%25|tdwg3:x_nf:%25&&bbox=29,-13,31,8&0s=1:c/ffffff/10/noLabel&od=1:-2.5,29.25|-2.433
33333333333,29.2333333333333|0.35,29.7833333333333|-3.05,28.4333333333333|-2.95,28.8166666666667|-2.25,28.6833333333
333|-2.38333333333333,28.6666666666667|-1.4,29.6|-3.6,29.5|-3.0,29.55|-3.95,29.6 166666666667 &recalculate=true

Actually debugging the problem n°2 involved a substantial modification in the part of the script that generates the SLD...

The PHP script actually generates a first XML DOM document with the style information and, uses an intermediate XSLT field to
finally write the final SLD and store it in the file system. | had to use some more intermediate DOMDocument in the PHP script (to
add child XML node containing the name of the indexer columns in the first XML DOM), and also added an extra template in the
XSLT file to have it running.

3)

Regarding the possibility to handle several projections, it is now possible in this test version to specify a reprojection, but only for the
JSON output, by using the parameter “dest_projection_epsg”

http:/edit.africamuseum.be/edit wp5/v1.4_dev/rest gen.php?ms=500,500&as=a:76FFFF|b:76FF22&ad=em_tiny_jan2003:emarea:a:
Gelem_tiny jan2003:parent:b:Ga&bbox=-31.8,30.129996.51,71.529996&dest_projection_epsg=7777777&img=false
http://edit.africamuseum.be/edit_wp5/v1.4_dev/rest_gen.php?ms=500,500&as=a:76FFFF%7Cb:76FF22&ad=em_tiny_jan2003:emarea:a:Ge%7Cem_tiny_jan2003:parent:b:Ga&bbox=-31.8,30.129996,51,71.529996
http://edit.africamuseum.be/edit_wp5/v1.4_dev/rest_gen.php?ms=500,500&as=a:76FFFF%7Cb:76FF22&ad=em_tiny_jan2003:emarea:a:Ge%7Cem_tiny_jan2003:parent:b:Ga&bbox=-31.8,30.129996,51,71.529996
http://edit.africamuseum.be/edit_wp5/v1.4_dev/rest_gen.php?l=earth&ad=tdwg3:a:PHI,VAN,BOR%7Cb:BIS,SUM&as=a:8dd3c7%7E2%7Cb:e91f16,5be166%7E2_4&ms=500&label=0&recalculate=false
http://edit.africamuseum.be/edit_wp5/v1.4_dev/rest_gen.php?l=earth&ad=tdwg3:a:PHI,VAN,BOR%7Cb:BIS,SUM&as=a:8dd3c7%7E2%7Cb:e91f16,5be166%7E2_4&ms=500&label=0&recalculate=false
http://edit.africamuseum.be/edit_wp5/v1.4_dev/rest_gen.php?ms=500,500&l=background_gis:y,tdwg3:x&as=a:000000%7Cy:FFFFFF%7Cz:D0D0D0,D0D0D0%7Cx:,000000%7Cx_nf:FF000000,000000%7Cw:77FFFF,FFFF77&ad=vmap0_afsa_elev_contour_ls:f_code:z:%25%7Cvmap0_afsa_hydro_inland_water_prm_only_a:nam:w:%25%7Ctdwg3:x_nf:%25&&bbox=29,-13,31,8&os=1:c/ffffff/10/noLabel&od=1:-2.5,29.25%7C-2.43333333333333,29.2333333333333%7C0.35,29.7833333333333%7C-3.05,28.4333333333333%7C-2.95,28.8166666666667%7C-2.25,28.6833333333333%7C-2.38333333333333,28.6666666666667%7C-1.4,29.6%7C-3.6,29.5%7C-3.0,29.55%7C-3.95,29.6166666666667&recalculate=true
http://edit.africamuseum.be/edit_wp5/v1.4_dev/rest_gen.php?ms=500,500&l=background_gis:y,tdwg3:x&as=a:000000%7Cy:FFFFFF%7Cz:D0D0D0,D0D0D0%7Cx:,000000%7Cx_nf:FF000000,000000%7Cw:77FFFF,FFFF77&ad=vmap0_afsa_elev_contour_ls:f_code:z:%25%7Cvmap0_afsa_hydro_inland_water_prm_only_a:nam:w:%25%7Ctdwg3:x_nf:%25&&bbox=29,-13,31,8&os=1:c/ffffff/10/noLabel&od=1:-2.5,29.25%7C-2.43333333333333,29.2333333333333%7C0.35,29.7833333333333%7C-3.05,28.4333333333333%7C-2.95,28.8166666666667%7C-2.25,28.6833333333333%7C-2.38333333333333,28.6666666666667%7C-1.4,29.6%7C-3.6,29.5%7C-3.0,29.55%7C-3.95,29.6166666666667&recalculate=true
http://edit.africamuseum.be/edit_wp5/v1.4_dev/rest_gen.php?ms=500,500&l=background_gis:y,tdwg3:x&as=a:000000%7Cy:FFFFFF%7Cz:D0D0D0,D0D0D0%7Cx:,000000%7Cx_nf:FF000000,000000%7Cw:77FFFF,FFFF77&ad=vmap0_afsa_elev_contour_ls:f_code:z:%25%7Cvmap0_afsa_hydro_inland_water_prm_only_a:nam:w:%25%7Ctdwg3:x_nf:%25&&bbox=29,-13,31,8&os=1:c/ffffff/10/noLabel&od=1:-2.5,29.25%7C-2.43333333333333,29.2333333333333%7C0.35,29.7833333333333%7C-3.05,28.4333333333333%7C-2.95,28.8166666666667%7C-2.25,28.6833333333333%7C-2.38333333333333,28.6666666666667%7C-1.4,29.6%7C-3.6,29.5%7C-3.0,29.55%7C-3.95,29.6166666666667&recalculate=true
http://edit.africamuseum.be/edit_wp5/v1.4_dev/rest_gen.php?ms=500,500&l=background_gis:y,tdwg3:x&as=a:000000%7Cy:FFFFFF%7Cz:D0D0D0,D0D0D0%7Cx:,000000%7Cx_nf:FF000000,000000%7Cw:77FFFF,FFFF77&ad=vmap0_afsa_elev_contour_ls:f_code:z:%25%7Cvmap0_afsa_hydro_inland_water_prm_only_a:nam:w:%25%7Ctdwg3:x_nf:%25&&bbox=29,-13,31,8&os=1:c/ffffff/10/noLabel&od=1:-2.5,29.25%7C-2.43333333333333,29.2333333333333%7C0.35,29.7833333333333%7C-3.05,28.4333333333333%7C-2.95,28.8166666666667%7C-2.25,28.6833333333333%7C-2.38333333333333,28.6666666666667%7C-1.4,29.6%7C-3.6,29.5%7C-3.0,29.55%7C-3.95,29.6166666666667&recalculate=true
http://edit.africamuseum.be/edit_wp5/v1.4_dev/rest_gen.php?ms=500,500&l=background_gis:y,tdwg3:x&as=a:000000%7Cy:FFFFFF%7Cz:D0D0D0,D0D0D0%7Cx:,000000%7Cx_nf:FF000000,000000%7Cw:77FFFF,FFFF77&ad=vmap0_afsa_elev_contour_ls:f_code:z:%25%7Cvmap0_afsa_hydro_inland_water_prm_only_a:nam:w:%25%7Ctdwg3:x_nf:%25&&bbox=29,-13,31,8&os=1:c/ffffff/10/noLabel&od=1:-2.5,29.25%7C-2.43333333333333,29.2333333333333%7C0.35,29.7833333333333%7C-3.05,28.4333333333333%7C-2.95,28.8166666666667%7C-2.25,28.6833333333333%7C-2.38333333333333,28.6666666666667%7C-1.4,29.6%7C-3.6,29.5%7C-3.0,29.55%7C-3.95,29.6166666666667&recalculate=true
http://edit.africamuseum.be/edit_wp5/v1.4_dev/rest_gen.php?ms=500,500&as=a:76FFFF%7Cb:76FF22&ad=em_tiny_jan2003:emarea:a:Ge%7Cem_tiny_jan2003:parent:b:Ga&bbox=-31.8,30.129996,51,71.529996&dest_projection_epsg=7777777&img=false
http://edit.africamuseum.be/edit_wp5/v1.4_dev/rest_gen.php?ms=500,500&as=a:76FFFF%7Cb:76FF22&ad=em_tiny_jan2003:emarea:a:Ge%7Cem_tiny_jan2003:parent:b:Ga&bbox=-31.8,30.129996,51,71.529996&dest_projection_epsg=7777777&img=false

The JSON reply contains an element “bbox_dest_projection” that gives the coordinates of the bbox in the destination projection and
another elements “points_dest_projection” with the position of the occurrence data (if PostGIS can handle it, | couldn’t get a reply
with ESPG:777777 for Africa).

But the reprojection is currently not implemented for the PNG output (I guess the JSON output covers most of the CDM portal needs
as it rebuild the map in OpenLayers...).

| need to merge these development into the current v1.2_dev version.
Best regards,

Franck

please continue ...

History

#1 - 01/20/2021 08:21 PM - Andreas Miiller
- Description updated

- Target version set to Geo RESTServices - Next Major Release

#2 - 01/21/2021 07:44 AM - Andreas Kohlbecker
- Tags set to map
- Description updated

- Private changed from Yes to No
